Subject: bug#63655: 29.0.91; Dialog box not displayed upon closing frame

From: Po Lu <[email-masked]>
Date: Wed, 24 May 2023 08:18:31 +0800

Eli Zaretskii <[email-masked]> writes:

> I'm just being proactive -- the very next bug report we will get is
> why yes-or-no-p behaves differently wrt use of dialog boxes.  Even in
> the recipe you posted here, yes-or-no-p behaved differently.  It makes
> no sense to me to have such subtle differences, especially when many
> people replace one of these function by the other, and we even have a
> user option nowadays to do that automatically.

I think we really ought to wait until a complaint to make this change on
emacs-29.  I'm fine with doing it on master.

Thanks.